Gets invoices.

Prev Next
Get
/customers/{customer_id}/invoices

Gets invoices list paginated.

Security
OAuth

OAuth Grant type use on OpenAPI subscriptions, Private JWT

FlowClient Credentials
Token URL$(host)/oauth/token
Scopes:
invoices.readRead invoices information via open API
Header parameters
x-client-id
string (uuid) Required

Client ID header.

Min length36
Max length36
Pattern^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$
Path parameters
customer_id
stringRequired

Customer unique uuid.

Min length1
Max length50
Pattern^[a-zA-Z0-9\-_]*$
Examplepagonxt_esESB76134758
Query parameters
_offset
integer (int32)

Pagination offset identifier.

Minimum0
Maximum100
Example1
_limit
integer (int32)

Number of values that should be informed per page.

Minimum1
Maximum100
Default50
Example10
multi_invoice_payment_link_id
string (uuid)

Parent payment link which the invoice is associated to.

Min length36
Max length36
Pattern^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$
Example2507b89c-b680-46df-9505-e0b6f78cf295
collection_id
string (uuid)

Collection id related to invoice.

Min length36
Max length36
Pattern^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$
Example2507b89c-b680-46df-9505-e0b6f78cf295
payment_subject_id
string (uuid)

Payment subject id related to invoice.

Min length36
Max length36
Pattern^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$
Example2507b89c-b680-46df-9505-e0b6f78cf295
issuer_name
string

Invoice issuer name.

Min length1
Max length255
Pattern^(?:['_.,&\-\sa-zA-ZÀ-ÿ0-9])+$
ExampleGeorge
invoice_primary_identifier
string

Unique identifier of the invoice in client application.

Min length1
Max length50
Pattern^[a-zA-Z0-9\-_]*$
ExampleINVOICE001
invoice_secondary_identifier
string

Secondary identifier of the invoice in client application.

Min length1
Max length50
Pattern^[a-zA-Z0-9\-_]*$
ExampleINVOICE001
from_expected_amount
number

Minimum amount to be included in the response.

The value must be greater than or equal to 0.

Minimum0
Maximum2147483647
Example200.0
to_expected_amount
number

Maximum amount to be included in the response.

The value must be less than or equal to 2147483647.

Minimum0
Maximum2147483647
Example250.0
expected_currency_code
string

Only valid currency code with ISO4217.

Min length3
Max length3
Pattern^[A-Z]{3}$
ExampleEUR
from_due_datetime
string (date-time)

Lower-bound value for the invoice due date.

The value uses the data format defined in ISO 8601 and is expressed in UTC time:

'YYYY-MM-DDThh:mm:ss.sssZ'.

Example2024-11-26T10:02:03.482Z
to_due_datetime
string (date-time)

Upper-bound value for the invoice due date.

The value uses the data format defined in ISO 8601 and is expressed in UTC time:

'YYYY-MM-DDThh:mm:ss.sssZ'.

Example2024-12-26T10:02:03.482Z
from_created_at
string (date-time)

From Date and time when the entry was created.

Max length24
Pattern^[0-9]{4}-[0-9]{2}-[0-9]{2}T[0-9]{2}:[0-9]{2}:[0-9]{2}.[0-9]{3}Z$
Example2024-10-04T10:02:03.482Z
to_created_at
string (date-time)

To Date and time when the entry was created.

Max length24
Pattern^[0-9]{4}-[0-9]{2}-[0-9]{2}T[0-9]{2}:[0-9]{2}:[0-9]{2}.[0-9]{3}Z$
Example2024-10-04T10:02:03.482Z
_sort
string

Invoices sort order value.

Valid values[ "+created_at", "-created_at", "-due_datetime", "+due_datetime" ]
Default"-created_at"
Example-created_at
Responses
200

Invoice list response.

{
  "_count": 3,
  "_links": {
    "self": {
      "href": "https://onetrade.dev.api.pagonxt.com/em_cs_collections/customers/pagonxt_esESG19966464/invoices?_limit=1"
    },
    "_next": "https://onetrade.dev.api.pagonxt.com/em_cs_collections/customers/pagonxt_esESG19966464/invoices?_offset=1&_limit=1&_sort=-created_at",
    "_last": "https://onetrade.dev.api.pagonxt.com/em_cs_collections/customers/pagonxt_esESG19966464/invoices?_offset=2&_limit=1&_sort=-created_at"
  },
  "invoices": [
    {
      "id": "1dfcb8b2-45e5-47ce-ada2-273d2517cfda",
      "multiInvoicePaymentLinkId": "3fa0c58f-4d0d-4e9d-a768-96961009597b",
      "invoicePrimaryIdentifier": "ID1",
      "invoiceSecondaryIdentifier": "ID2",
      "issuerName": "FullNameCIF12345",
      "issueDatetime": "2025-07-01",
      "dueDatetime": "2025-08-01",
      "collectionId": "1dfcb8b2-45e5-47ce-ada2-273d2517cfdb",
      "expectedAmount": 1.99,
      "expectedCurrencyCode": "EUR",
      "collectedAmount": 0,
      "selected": true,
      "permanentlyPaid": false,
      "createdAt": "2026-01-30T10:49:48.259Z",
      "updatedAt": "2026-01-30T10:49:48.259Z"
    },
    {
      "id": "1dfcb8b2-45e5-47ce-ada2-273d2517cfda",
      "multiInvoicePaymentLinkId": "3fa0c58f-4d0d-4e9d-a768-96961009597b",
      "invoicePrimaryIdentifier": "ID1",
      "invoiceSecondaryIdentifier": "ID2",
      "issuerName": "FullNameCIF12345",
      "issueDatetime": "2025-07-01",
      "dueDatetime": "2025-08-01",
      "collectionId": "1dfcb8b2-45e5-47ce-ada2-273d2517cfdb",
      "expectedAmount": 1.99,
      "expectedCurrencyCode": "EUR",
      "collectedAmount": 0,
      "selected": true,
      "permanentlyPaid": false,
      "createdAt": "2026-01-30T10:49:48.259Z",
      "updatedAt": "2026-01-30T10:49:48.259Z"
    },
    {
      "id": "1dfcb8b2-45e5-47ce-ada2-273d2517cfda",
      "multiInvoicePaymentLinkId": "3fa0c58f-4d0d-4e9d-a768-96961009597b",
      "invoicePrimaryIdentifier": "ID1",
      "invoiceSecondaryIdentifier": "ID2",
      "issuerName": "FullNameCIF12345",
      "issueDatetime": "2025-07-01",
      "dueDatetime": "2025-08-01",
      "collectionId": "1dfcb8b2-45e5-47ce-ada2-273d2517cfdb",
      "expectedAmount": 1.99,
      "expectedCurrencyCode": "EUR",
      "collectedAmount": 0,
      "selected": true,
      "permanentlyPaid": false,
      "createdAt": "2026-01-30T10:49:48.259Z",
      "updatedAt": "2026-01-30T10:49:48.259Z"
    }
  ]
}
Expand All
object
_count
integer (int32)

Total response items.

Minimum1
Maximum100
Example1
_links
object

Paginated links object.

self
object

Self link response object.

href
string

Self response link href.

Max length999
Pattern^(www|http:|https:)+[^\s]+[\w]$
Examplehttps://host/?_offset=0&_limit=10
_first
string

Link to the first page of the list.

Max length999
Pattern^(www|http:|https:)+[^\s]+[\w]$
Examplehttps://host/?_offset=0&_limit=10
_prev
string

Link to the previous page of the list.

Max length999
Pattern^(www|http:|https:)+[^\s]+[\w]$
Examplehttps://host/?_offset=0&_limit=10
_next
string

Link to the next page of the list.

Max length999
Pattern^(www|http:|https:)+[^\s]+[\w]$
Examplehttps://host/?_offset=0&_limit=10
_last
string

Link to the last page of the list.

Max length999
Pattern^(www|http:|https:)+[^\s]+[\w]$
Examplehttps://host/?_offset=0&_limit=10
invoices
Array of object (InvoiceDto)

Invoice response list.

Max items100
object
createdAt
string (date-time)

Date and time when the entry was created.

Max length24
Pattern^[0-9]{4}-[0-9]{2}-[0-9]{2}T[0-9]{2}:[0-9]{2}:[0-9]{2}.[0-9]{3}Z$
Example2024-10-04T10:02:03.482Z
updatedAt
string (date-time)

Date and time when the entry was updated.

Max length24
Pattern^[0-9]{4}-[0-9]{2}-[0-9]{2}T[0-9]{2}:[0-9]{2}:[0-9]{2}.[0-9]{3}Z$
Example2024-10-04T10:02:03.482Z
id
string (uuid)

A Universally Unique Identifier (UUID) is a 128-bit label used to uniquely identify information in computer systems without a central registration authority. Standardized by RFC 9562 (formerly RFC 4122), UUIDs are usually represented as 32 hexadecimal digits separated by hyphens into five groups (e.g., 550e8400-e29b-41d4-a716-446655440000). They ensure extremely low collision probability, making them ideal for distributed systems.

Min length36
Max length36
Pattern^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$
Example2507b89c-b680-46df-9505-e0b6f78cf295
multiInvoicePaymentLinkId
string (uuid)

Parent payment link which the invoice is associated to.

Min length36
Max length36
Pattern^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$
Example2507b89c-b680-46df-9505-e0b6f78cf295
invoicePrimaryIdentifier
string

Unique identifier of the invoice in client application.

Min length1
Max length50
Pattern^[a-zA-Z0-9\-_]*$
ExampleINVOICE001
invoiceSecondaryIdentifier
string

Secondary identifier of the invoice in client application.

Min length1
Max length50
Pattern^[a-zA-Z0-9\-_]*$
ExampleINVOICE001
issueDatetime
string (date-time)

Invoice issue datetime.

Example2024-11-26T10:02:03.482Z
dueDatetime
string (date-time)

Invoice due datetime.

Example2024-11-26T10:02:03.482Z
collectionId
string (uuid)

Collection generated by this invoice.

Min length36
Max length36
Pattern^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$
Example2507b89c-b680-46df-9505-e0b6f78cf295
expectedAmount
number (float)

A 32 bit floating point number.

Minimum1
Maximum2147483647
Example250.5
expectedCurrencyCode
string

The ISO4217 currency code of the amount expected for this specific collection.

Min length3
Max length3
Pattern^[A-Z]{3}$
ExampleEUR
collectedAmount
number (float)

A 32 bit floating point number. Reflects the incoming payment amount that is reconciled to this specific multi invoice collection.

Minimum0
Maximum2147483647
Example250.5
collectedCurrencyCode
string

The ISO4217 currency code of the incoming payment amount that is reconciled to this specific collection.

Min length3
Max length3
Pattern^[A-Z]{3}$
ExampleEUR
selected
boolean

Selected when attempt to pay.

Exampletrue
permanentlyPaid
boolean

Invoice is permanently paid.

Exampletrue
issuerName
string

Invoice issuer name.

Min length1
Max length255
Pattern^(?:['_.,&\-\sa-zA-ZÀ-ÿ0-9])+$
ExampleGeorge
204

Indicates that a request has succeeded, but the client does not need to navigate away from its current page.

400

Indicates that the server would not process the request due to something the server considered to be a client error.

example-1
{
  "errors": [
    {
      "code": "BAD_REQUEST",
      "message": "Bad Request",
      "level": "FATAL",
      "description": "Description of the Bad Request error"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of response errors.

Min items0
Max items50
object

Data structure containing the error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING.
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
401

Indicates that a request was not successful because it lacks valid authentication credentials for the requested resource.

example-1
{
  "errors": [
    {
      "code": "UNAUTHORIZED",
      "message": "Unauthorized",
      "level": "FATAL",
      "description": "Description of the Unauthorized error"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of response errors.

Min items0
Max items50
object

Data structure containing the error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING.
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
403

Indicates that the server understood the request but refused to process it.

example-1
{
  "errors": [
    {
      "code": "FORBIDDEN",
      "message": "Forbidden",
      "level": "FATAL",
      "description": "Description of the Forbidden error"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of response errors.

Min items0
Max items50
object

Data structure containing the error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING.
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
404

Indicates that the server cannot find the requested resource.

example-1
{
  "errors": [
    {
      "code": "NOT_FOUND",
      "message": "Not Found",
      "level": "FATAL",
      "description": "Description of the Not Found error"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of response errors.

Min items0
Max items50
object

Data structure containing the error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING.
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
406

Not Acceptable The Accept header does not specifically contain one of the allowable types. Missing Accept header, usually 'application/json'.

example-1
{
  "errors": [
    {
      "code": "NOT_ACCEPTABLE",
      "message": "Not Acceptable",
      "level": "FATAL",
      "description": "Description of the Not Acceptable error"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of response errors.

Min items0
Max items50
object

Data structure containing the error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING.
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
413

Request Entity Too Large Most web servers have a limit of 8192 bytes (8 KB). The server will close the connection to prevent the client from continuing the request.

example-1
{
  "errors": [
    {
      "code": "ENTITY_TOO_LARGE",
      "message": "Request Entity Too Large",
      "level": "FATAL",
      "description": "Description of the Request Entity Too Large error"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of response errors.

Min items0
Max items50
object

Data structure containing the error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING.
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
414

Indicates that a URI requested by the client was longer than the server is willing to interpret.

err414Example
{
  "errors": [
    {
      "code": "URI_TOO_LONG",
      "level": "FATAL",
      "message": "URI Too Long",
      "description": "URI Too Long description"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of response errors.

Min items0
Max items50
object

Data structure containing the error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING.
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
422

Indicates that the server understood the content type of the request content, and the syntax of the request content was correct, but it was unable to process the contained instructions.

err422Example
{
  "errors": [
    {
      "code": "UNPROCESSABLE_ENTITY",
      "level": "FATAL",
      "message": "Unprocessable Entity",
      "description": "Unprocessable Entity description"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of response errors.

Min items0
Max items50
object

Data structure containing the error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING.
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
429

Indicates the client has sent too many requests in a given amount of time.

err429Example
{
  "errors": [
    {
      "code": "TOO_MANY_REQUESTS",
      "level": "ERROR",
      "message": "Too Many Requests",
      "description": "Too Many Requests description"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of response errors.

Min items0
Max items50
object

Data structure containing the error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING.
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
500

Indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.

err500Example
{
  "errors": [
    {
      "code": "INTERNAL_SERVER_ERROR",
      "level": "FATAL",
      "message": "Internal server error",
      "description": "Internal server error description"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of response errors.

Min items0
Max items50
object

Data structure containing the error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING.
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
503

Indicates that the server is not ready to handle the request.

err503Example
{
  "errors": [
    {
      "code": "SERVICE_UNAVAILABLE",
      "level": "ERROR",
      "message": "Service unavailable",
      "description": "Service unavailable error description"
    }
  ]
}
healthFailedExample
{
  "errors": [
    {
      "code": "fail",
      "level": "ERROR",
      "message": "Health check failed",
      "description": "Health check failed"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of response errors.

Min items0
Max items50
object

Data structure containing the error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING.
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
504

Indicates that the server, while acting as a gateway or proxy, did not get a response in time from the upstream server in order to complete the request.

err504Example
{
  "errors": [
    {
      "code": "GATEWAY_TIMEOUT",
      "level": "ERROR",
      "message": "Gateway timeout",
      "description": "Gateway timeout error description"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of response errors.

Min items0
Max items50
object

Data structure containing the error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING.
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription
default

Error used by efault.

errDefaultExample
{
  "errors": [
    {
      "code": "INTERNAL_SERVER_ERROR",
      "level": "FATAL",
      "message": "Error message",
      "description": "Error description"
    }
  ]
}
Expand All
object

Data structure containing the details for errors

errors
Array of object (Error)

Array of response errors.

Min items0
Max items50
object

Data structure containing the error details.

code
string

Unique alphanumeric human readable error code.

Min length1
Max length25
Pattern^[a-zA-Z_0-9 ]*$
ExampleXXX
message
string

Brief summary of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleMessage
level
string

Level of the reported issue. The possible values are.

  • ERROR
  • FATAL
  • INFO
  • WARNING.
Valid values[ "ERROR", "FATAL", "INFO", "WARNING" ]
ExampleERROR
description
string

Detailed description of the reported issue.

Min length1
Max length255
Pattern^[a-zA-Z0-9. /_-]*$
ExampleDescription